import { ReactNode } from 'react';
import { UseListenToCustomEvent } from '../modules/useEventsModule';
import { UseSpringReturnType } from './useSpringCarousel.types';
export declare type SlideActionType = 'prev' | 'next' | 'initial';
export declare type SlideMode = 'drag' | 'click' | 'initial';
export declare type TransitionSlideMode = 'swipe' | 'click' | 'initial';
export declare type RenderItemProps = {
    useListenToCustomEvent: UseListenToCustomEvent<'use-spring'>['useListenToCustomEvent'];
    getIsActiveItem: UseSpringReturnType['getIsActiveItem'];
    getIsPrevItem: UseSpringReturnType['getIsPrevItem'];
    getIsNextItem: UseSpringReturnType['getIsNextItem'];
};
declare type RenderItemFn = (props: RenderItemProps) => JSX.Element;
export declare type ItemWithThumb = {
    id: string;
    renderItem: ReactNode | RenderItemFn;
    renderThumb: ReactNode | RenderItemFn;
};
export declare type ItemWithNoThumb = {
    id: string;
    renderItem: ReactNode | RenderItemFn;
};
export declare type PrepareThumbsData = (items: Omit<ItemWithThumb, 'renderItem'>[]) => Omit<ItemWithThumb, 'renderItem'>[];
export {};
