import { SpringConfig, TransitionFrom, TransitionTo } from '@react-spring/web';
import { ItemWithNoThumb, ItemWithThumb, SpringCarouselWithNoThumbs, SpringCarouselWithThumbs } from '../types';
import { ReactNode } from 'react';
import { UseListenToCustomEvent } from 'src/modules';
declare type Item = ItemWithThumb | ItemWithNoThumb;
export declare type SpringAnimationProps = {
    initial: TransitionFrom<Item>;
    from: TransitionFrom<Item>;
    enter: TransitionTo<Item>;
    leave: TransitionTo<Item>;
};
declare type BaseProps = {
    init?: boolean;
    disableGestures?: boolean;
    springConfig?: Omit<SpringConfig, 'velocity'>;
    toPrevItemSpringProps?: SpringAnimationProps;
    toNextItemSpringProps?: SpringAnimationProps;
    exitBeforeEnter?: boolean;
    trail?: number;
    withLoop?: boolean;
    draggingSlideTreshold?: number;
    thumbsSlideAxis?: 'x' | 'y';
    activeItem?: number;
};
export declare type UseTransitionCarouselProps = BaseProps & (SpringCarouselWithThumbs | SpringCarouselWithNoThumbs);
export declare type UseTransitionCarouselReturnProps = {
    useListenToCustomEvent: UseListenToCustomEvent<'use-transition'>['useListenToCustomEvent'];
    carouselFragment: ReactNode;
    thumbsFragment: ReactNode;
    slideToPrevItem(): void;
    slideToNextItem(): void;
};
export {};
