import { UseSpringCarouselWithFreeScroll, UseSpringCarouselWithThumbs, UseSpringCarouselWithNoThumbs, UseSpringCarouselWithNoFixedItems, UseSpringCarouselWithFixedItems, UseSpringFreeScrollReturnType, UseSpringReturnType } from './types';
declare type ReturnType<T> = T extends true ? UseSpringFreeScrollReturnType : UseSpringReturnType;
/**
 * With free scroll
 */
declare function useSpringCarousel(props: UseSpringCarouselWithFreeScroll): ReturnType<true>;
declare function useSpringCarousel(props: UseSpringCarouselWithThumbs<true>): ReturnType<true>;
declare function useSpringCarousel(props: UseSpringCarouselWithNoThumbs<true>): ReturnType<true>;
/**
 * No free scroll
 */
declare function useSpringCarousel(props: UseSpringCarouselWithThumbs<false>): ReturnType<false>;
declare function useSpringCarousel(props: UseSpringCarouselWithNoThumbs<false>): ReturnType<false>;
declare function useSpringCarousel(props: UseSpringCarouselWithFixedItems<false>): ReturnType<false>;
declare function useSpringCarousel(props: UseSpringCarouselWithNoFixedItems<false>): ReturnType<false>;
declare type ContextProps<T = undefined> = Omit<ReturnType<T extends 'free-scroll' ? true : false>, 'carouselFragment' | 'thumbsFragment'>;
declare function useSpringCarouselContext<T>(): ContextProps<T>;
export { useSpringCarousel, useSpringCarouselContext };
